// app.js
import { cEvent } from './utils/event.js'
const Promise = require('lib/bluebird')
var utils = require('utils/util.js')
var wxService = require('utils/wxService')
const envInfo = require('config/index').envInfo

App({
  onLaunch: function (e) {
   
  },
  onShow: function (options = {}) {
    console.log('app-onshow', options)
    // 是不是第一次进入小程序
    const baseUserInfo = wx.getStorageSync('_baseUserInfo')
    if (baseUserInfo) {
     // wxService.getUserInfo()
    }
    if (options.referrerInfo.extraData!=null){
      const { activate_ticket, card_id, code, errCode, wx_activate_after_submit_url } = options.referrerInfo.extraData
      let urlData = wx_activate_after_submit_url.split("?");
      let url = urlData[0];
      let parmas = urlData[1];

      // wxService.router(`${url}`).search(parmas);
      wxService.router(`${url}`).search({
        activate_ticket: encodeURIComponent(activate_ticket),
        card_id,
        code,
        errCode,
        wx_activate_after_submit_url: parmas
      });
      // encodeURIComponent
      // decodeURIComponent
    }

  },
  onHide: function () {
    this.globalData.loginFirst = false
  },

  

  getUserInfo() {
    return new Promise((resolve, reject) => {
      const _baseUserInfo = wx.getStorageSync('_baseUserInfo')
      if (_baseUserInfo) {
        resolve(_baseUserInfo)
      } else {
        reject('_baseUserInfo is null')
      }
    })
  },
  globalData: {
    userInfo: null,
    userBaseInfo: null, // openid
    systemInfo: wx.getSystemInfoSync(),
    ctx: envInfo.ctx,
    openCard: false,
    userNo: null,
    storeId: '',
    storeName: '',
    loginFirst: false,
    imageUrl:"" //图片地址
  }
})
